import click
from dotenv import load_dotenv

@click.group()
def cli():
    ...

if __name__ == "__main__":
    load_dotenv()
    from data import scrape
    cli.add_command(scrape.download)
    cli.add_command(scrape.parse)
    cli.add_command(scrape.load)
    cli.add_command(scrape.normalize)
    import word
    # cli.add_command(word.distance)
    # cli.add_command(word.train)
    cli.add_command(word.embed)
    cli.add_command(word.max_sequence)
    import bias
    cli.add_command(bias.parse)
    cli.add_command(bias.load)
    cli.add_command(bias.normalize)
    import mine
    cli.add_command(mine.embeddings)
    cli.add_command(mine.cluster)
    cli.add_command(mine.plot)
    import emotion
    cli.add_command(emotion.extract)
    cli.add_command(emotion.normalize)
    cli.add_command(emotion.analyze)
    cli.add_command(emotion.create_table)
    import sentence
    cli.add_command(sentence.embed)
    from train import main as train_main
    cli.add_command(train_main.main)

    import plots.descriptive as plotd
    cli.add_command(plotd.articles_per_year)
    cli.add_command(plotd.distinct_publishers)
    cli.add_command(plotd.stories_per_publisher)
    cli.add_command(plotd.top_publishers)
    cli.add_command(plotd.common_tld)

    import  links as linkcli
    cli.add_command(linkcli.create_table)
    cli.add_command(linkcli.create_pca)
    cli.add_command(linkcli.create_clusters)

    import  plots.links as plotl
    cli.add_command(plotl.elbow)
    cli.add_command(plotl.link_pca_clusters)

    import  plots.classifier as plotc
    cli.add_command(plotc.pca_with_classes)

    cli()
